Bug 2014623 (CVE-2021-3892) - CVE-2021-3892 kernel: memory leak in fib6_rule_suppress could result in DoS
Summary: CVE-2021-3892 kernel: memory leak in fib6_rule_suppress could result in DoS
Keywords:
Status: CLOSED DUPLICATE of bug 1771486
Alias: CVE-2021-3892
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2014648 2014649 2014650
Blocks: 2008467
TreeView+ depends on / blocked
 
Reported: 2021-10-15 16:14 UTC by Michael Kaplan
Modified: 2021-12-27 06:33 UTC (History)
50 users (show)

Fixed In Version: Kernel 5.4
Doc Type: If docs needed, set a value
Doc Text:
A memory leak flaw was reported in firewalld when IPv6_rpfilter is enabled and a suppress_prefix rule is present in the IPv6 routing rules. In such scenarios, every incoming packet will leak an allocation in ip6_dst_cache slab cache.
Clone Of:
Environment:
Last Closed: 2021-12-06 07:52:40 UTC


Attachments (Terms of Use)

Description Michael Kaplan 2021-10-15 16:14:46 UTC
The kernel leaks memory when firewalld IPv6_rpfilter is enabled and a suppress_prefix rule is present in the IPv6 routing rules (used by certain tools such as wg-quick). In such scenarios, every incoming packet will leak an allocation in ip6_dst_cache slab cache.

Reference:

https://bugzilla.redhat.com/show_bug.cgi?id=2008123

Comment 10 Salvatore Bonaccorso 2021-11-26 19:51:42 UTC
Hi

Can you provide more information on it? Is this an issue known upstrem?

OTOH I found in SuSE Bugzilla: https://bugzilla.suse.com/show_bug.cgi?id=1192261 which would indicate this relates to upstream commit https://git.kernel.org/linus/ca7a03c4175366a92cee0ccc4fec0038c3266e26 .

If this is correct, would CVE-2021-3892 be a duplicate of CVE-2019-18198?

Regards,
Salvatore

Comment 11 Yogendra Jog 2021-12-06 04:57:47 UTC
Setting correct needinfo

Comment 12 Rohit Keshri 2021-12-06 07:50:50 UTC
In reply to comment #10:
> Hi
> 
> Can you provide more information on it? Is this an issue known upstrem?
> 
> OTOH I found in SuSE Bugzilla:
> https://bugzilla.suse.com/show_bug.cgi?id=1192261 which would indicate this
> relates to upstream commit
> https://git.kernel.org/linus/ca7a03c4175366a92cee0ccc4fec0038c3266e26 .
> 
> If this is correct, would CVE-2021-3892 be a duplicate of CVE-2019-18198?
Hello,

Yes, you are right. We have made CVE-2021-3892 a duplicate, thank you.

This flaw is fixed in the upstream  Kernel 5.4 with 
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=ca7a03c4175366a92cee0ccc4fec0038c3266e26

Comment 13 Rohit Keshri 2021-12-06 07:52:40 UTC

*** This bug has been marked as a duplicate of bug 1771486 ***

Comment 15 Salvatore Bonaccorso 2021-12-06 16:26:30 UTC
Thank you, will you officially mark the CVE-2021-3892 as REJECTED as CNA so that this would not cause potential confusion?

Comment 16 Rohit Keshri 2021-12-09 03:10:57 UTC
Hello Carnil, yes we will complete the cve rejection.


Note You need to log in before you can comment on or make changes to this bug.